| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiMP.pTools.SyncMini Class Reference
Inheritance diagram for GaudiMP.pTools.SyncMini:
[legend]
Collaboration diagram for GaudiMP.pTools.SyncMini:
[legend]

## Public Member Functions
def | __init__ (self, event, lastEvent=None)
def | check (self)
def | checkLast (self)
def | reset (self)
def | getTime (self)
def | set (self)
def | __repr__ (self)

## Public Attributes
| event
| t
| lastEvent

## Detailed Description

Definition at line 552 of file pTools.py.

## Constructor & Destructor Documentation

def GaudiMP.pTools.SyncMini.__init__ | ( |  | self,
|  |  | event,
|  |  | lastEvent = `None`
| ) |  |

Definition at line 553 of file pTools.py.

553 def __init__(self, event, lastEvent=None):
554 self.event = event
555 self.t = 0.0
556 self.lastEvent = None
557 if lastEvent:
558 self.lastEvent = lastEvent
559
GaudiMP.pTools.SyncMini.event
event
Definition: pTools.py:554
GaudiMP.pTools.SyncMini.t
t
Definition: pTools.py:555
GaudiMP.pTools.SyncMini.lastEvent
lastEvent
Definition: pTools.py:556
GaudiMP.pTools.SyncMini.__init__
def __init__(self, event, lastEvent=None)
Definition: pTools.py:553

## Member Function Documentation

def GaudiMP.pTools.SyncMini.__repr__ | ( |  | self | ) |

Definition at line 576 of file pTools.py.

576 def __repr__(self):
577 s = "---------- SyncMini --------------\n"
578 s += " Status : %s\n" % (self.event.is_set())
579 s += " t : %5.2f\n" % (self.t)
580 if self.lastEvent:
581 s += "Last Event : %s\n" % (self.lastEvent.is_set())
582 s += "----------------------------------\n"
583 return s
584
585 # =============================================================================
586
587
GaudiMP.pTools.SyncMini.t
t
Definition: pTools.py:555
GaudiMP.pTools.SyncMini.__repr__
def __repr__(self)
Definition: pTools.py:576
GaudiMP.pTools.SyncMini.lastEvent
lastEvent
Definition: pTools.py:556

def GaudiMP.pTools.SyncMini.check | ( |  | self | ) |

Definition at line 560 of file pTools.py.

560 def check(self):
561 return self.event.is_set()
562
GaudiMP.pTools.SyncMini.check
def check(self)
Definition: pTools.py:560

def GaudiMP.pTools.SyncMini.checkLast | ( |  | self | ) |

Definition at line 563 of file pTools.py.

563 def checkLast(self):
564 return self.lastEvent.is_set()
565
GaudiMP.pTools.SyncMini.checkLast
def checkLast(self)
Definition: pTools.py:563

def GaudiMP.pTools.SyncMini.getTime | ( |  | self | ) |

Definition at line 570 of file pTools.py.

570 def getTime(self):
571 return self.t
572
GaudiMP.pTools.SyncMini.t
t
Definition: pTools.py:555
GaudiMP.pTools.SyncMini.getTime
def getTime(self)
Definition: pTools.py:570

def GaudiMP.pTools.SyncMini.reset | ( |  | self | ) |

Definition at line 566 of file pTools.py.

566 def reset(self):
567 self.event.clear()
568 self.t = time.time()
569
GaudiMP.pTools.SyncMini.t
t
Definition: pTools.py:555
GaudiMP.pTools.SyncMini.reset
def reset(self)
Definition: pTools.py:566

def GaudiMP.pTools.SyncMini.set | ( |  | self | ) |

Definition at line 573 of file pTools.py.

573 def set(self):
574 self.event.set()
575
GaudiMP.pTools.SyncMini.set
def set(self)
Definition: pTools.py:573

## Member Data Documentation

GaudiMP.pTools.SyncMini.event

Definition at line 554 of file pTools.py.

GaudiMP.pTools.SyncMini.lastEvent

Definition at line 556 of file pTools.py.

GaudiMP.pTools.SyncMini.t

Definition at line 555 of file pTools.py.

The documentation for this class was generated from the following file:

- GaudiMP/python/GaudiMP/pTools.py